defmodule ClacksWeb.Router do
  use ClacksWeb, :router

  pipeline :browser do
    plug :accepts, ["html"]
    plug :fetch_session
    plug :fetch_flash
    plug :protect_from_forgery
    plug :put_secure_browser_headers
  end

  pipeline :activitypub do
    plug :accepts, ["activity+json", "html"]
  end

  scope "/", ClacksWeb do
    pipe_through :browser

    get "/", PageController, :index
  end

  scope "/", ClacksWeb do
    pipe_through :activitypub

    get "/objects/:id", ObjectsController, :get
  end

  # Other scopes may use custom stacks.
  # scope "/api", ClacksWeb do
  #   pipe_through :api
  # end
end
